# Installation
* Setup pgsql, create user and database, create schema (last step only if you have a dump):
  - ```psql -U postgres```
    - ```CREATE ROLE nxy WITH ENCRYPTED PASSWORD 'your-password';```
    - ```ALTER ROLE nxy LOGIN;```
    - ```CREATE DATABASE nxy_prod OWNER nxy;```
    - ```\q```
  - ```psql -U nxy -U nxy_prod < nxy/files/schema.sql```
  - ```psql -U nxy -d nxy_prod < path/to/dump.sql```
* Clone repo
  - ```git clone https://gitfap.de/mrhanky/nxy.git```
* Create virtualenv, activate it and install dependencies
  - ```python3 -m venv env```
  - ```source env/bin/active```
  - ```pip install -r nxy/requirements.txt```
* Copy ```nxy/files/config.json``` and ```nxy/files/config.json``` and modify them
  - ```cp nxy/files/{.env,config.json} .```
  - ```vim .env config.json```
* Enable linger for nxy user (so the user unit starts on boot)
  - ```sudo loginctl enable-linger nxy```
* Link systemd unit, enable and run it
  - ```mkdir -p $HOME/.config/systemd/user```
  - ```ln -fs $HOME/nxy/files/nxy-bot.service $HOME/.config/systemd/user```
  - ```systemctl --user daemon-reload```
  - ```systemctl --user enable --now nxy-bot.service```
